osg::Vec3s Class Reference

`#include <Vec3s>`

## Public Types

enum | { num_components = 3 }
typedef short | value_type

## Public Member Functions

| Vec3s ()
| Vec3s (value_type r, value_type g, value_type b)
bool | operator== (const Vec3s &v) const
bool | operator!= (const Vec3s &v) const
bool | operator< (const Vec3s &v) const
value_type * | ptr ()
const value_type * | ptr () const
void | set (value_type r, value_type g, value_type b)
void | set (const Vec3s &rhs)
value_type & | operator[] (unsigned int i)
value_type | operator[] (unsigned int i) const
value_type & | x ()
value_type & | y ()
value_type & | z ()
value_type | x () const
value_type | y () const
value_type | z () const
value_type & | r ()
value_type & | g ()
value_type & | b ()
value_type | r () const
value_type | g () const
value_type | b () const
Vec3s | operator* (value_type rhs) const
Vec3s & | operator*= (value_type rhs)
Vec3s | operator/ (value_type rhs) const
Vec3s & | operator/= (value_type rhs)
Vec3s | operator* (const Vec3s &rhs) const
Vec3s | operator+ (const Vec3s &rhs) const
Vec3s & | operator+= (const Vec3s &rhs)
Vec3s | operator- (const Vec3s &rhs) const
Vec3s & | operator-= (const Vec3s &rhs)
Vec3s | operator- () const

## Public Attributes

value_type | _v [3]

## Member Typedef Documentation

## value_type

typedef short osg::Vec3s::value_type

Data type of vector components.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Number of vector components.

Enumerator
num_components |

## Constructor & Destructor Documentation

## Vec3s() [1/2]

osg::Vec3s::Vec3s | ( |  | ) |

inline

Constructor that sets all components of the vector to zero

References _v.

Referenced by operator!=(), operator*(), operator*(), operator*=(), operator+(), operator+=(), operator-(), operator-(), operator-=(), operator/(), operator/=(), operator<(), operator==(), and set().

## Vec3s() [2/2]

osg::Vec3s::Vec3s | ( | value_type | r,
|  | value_type | g,
|  | value_type | b )

inline

References _v, b(), g(), and r().

## Member Function Documentation

## b() [1/2]

value_type & osg::Vec3s::b | ( |  | ) |

inline

References _v.

Referenced by set(), and Vec3s().

## b() [2/2]

value_type osg::Vec3s::b | ( |  | ) | const

inline

References _v.

## g() [1/2]

value_type & osg::Vec3s::g | ( |  | ) |

inline

References _v.

Referenced by set(), and Vec3s().

## g() [2/2]

value_type osg::Vec3s::g | ( |  | ) | const

inline

References _v.

## operator!=()

bool osg::Vec3s::operator!= | ( | const Vec3s & | v | ) | const

inline

References _v, and Vec3s().

## operator*() [1/2]

Vec3s osg::Vec3s::operator* | ( | const Vec3s & | rhs | ) | const

inline

Binary vector multiply.

References _v, and Vec3s().

## operator*() [2/2]

Vec3s osg::Vec3s::operator* | ( | value_type | rhs | ) | const

inline

Multiply by scalar.

References _v, and Vec3s().

## operator*=()

Vec3s & osg::Vec3s::operator*= | ( | value_type | rhs | ) |

inline

Unary multiply by scalar.

References _v, and Vec3s().

## operator+()

Vec3s osg::Vec3s::operator+ | ( | const Vec3s & | rhs | ) | const

inline

Binary vector add.

References _v, and Vec3s().

## operator+=()

Vec3s & osg::Vec3s::operator+= | ( | const Vec3s & | rhs | ) |

inline

Unary vector add. Slightly more efficient because no temporary intermediate object.

References _v, and Vec3s().

## operator-() [1/2]

Vec3s osg::Vec3s::operator- | ( |  | ) | const

inline

Negation operator. Returns the negative of the Vec3s.

References _v, and Vec3s().

## operator-() [2/2]

Vec3s osg::Vec3s::operator- | ( | const Vec3s & | rhs | ) | const

inline

Binary vector subtract.

References _v, and Vec3s().

## operator-=()

Vec3s & osg::Vec3s::operator-= | ( | const Vec3s & | rhs | ) |

inline

Unary vector subtract.

References _v, and Vec3s().

## operator/()

Vec3s osg::Vec3s::operator/ | ( | value_type | rhs | ) | const

inline

Divide by scalar.

References _v, and Vec3s().

## operator/=()

Vec3s & osg::Vec3s::operator/= | ( | value_type | rhs | ) |

inline

Unary divide by scalar.

References _v, and Vec3s().

## operator<()

bool osg::Vec3s::operator< | ( | const Vec3s & | v | ) | const

inline

References _v, and Vec3s().

## operator==()

bool osg::Vec3s::operator== | ( | const Vec3s & | v | ) | const

inline

References _v, and Vec3s().

## operator[]() [1/2]

value_type & osg::Vec3s::operator[] | ( | unsigned int | i | ) |

inline

References _v.

## operator[]() [2/2]

value_type osg::Vec3s::operator[] | ( | unsigned int | i | ) | const

inline

References _v.

## ptr() [1/2]

value_type * osg::Vec3s::ptr | ( |  | ) |

inline

References _v.

## ptr() [2/2]

const value_type * osg::Vec3s::ptr | ( |  | ) | const

inline

References _v.

## r() [1/2]

value_type & osg::Vec3s::r | ( |  | ) |

inline

References _v.

Referenced by set(), and Vec3s().

## r() [2/2]

value_type osg::Vec3s::r | ( |  | ) | const

inline

References _v.

## set() [1/2]

void osg::Vec3s::set | ( | const Vec3s & | rhs | ) |

inline

References _v, and Vec3s().

## set() [2/2]

void osg::Vec3s::set | ( | value_type | r,
|  | value_type | g,
|  | value_type | b )

inline

References _v, b(), g(), and r().

## x() [1/2]

value_type & osg::Vec3s::x | ( |  | ) |

inline

References _v.

## x() [2/2]

value_type osg::Vec3s::x | ( |  | ) | const

inline

References _v.

## y() [1/2]

value_type & osg::Vec3s::y | ( |  | ) |

inline

References _v.

## y() [2/2]

value_type osg::Vec3s::y | ( |  | ) | const

inline

References _v.

## z() [1/2]

value_type & osg::Vec3s::z | ( |  | ) |

inline

References _v.

## z() [2/2]

value_type osg::Vec3s::z | ( |  | ) | const

inline

References _v.

## Member Data Documentation

## _v

value_type osg::Vec3s::_v[3]

Referenced by b(), b(), g(), g(), operator!=(), operator*(), operator*(), operator*=(), operator+(), operator+=(), operator-(), operator-(), operator-=(), operator/(), operator/=(), operator<(), osg::operator<<(), operator==(), osg::operator>>(), operator[](), operator[](), ptr(), ptr(), r(), r(), set(), set(), Vec3s(), Vec3s(), x(), x(), y(), y(), z(), and z().

The documentation for this class was generated from the following file:

- Vec3s